/*****************************************************************************/
/*                                                                           */
/*                                SOFTING AG                                 */
/*                         Richard-Reitzner-Allee 6                          */
/*                               D-85540 Haar                                */
/*                       Phone: ++49-89-4 56 56-0                            */
/*                         Fax: ++49-89-4 56 56-3 99                         */
/*                                                                           */
/*                      Copyright (C) SOFTING AG 1998-2003                   */
/*                            All Rights Reserved                            */
/*                                                                           */
/*****************************************************************************/
/*****************************************************************************/
/*                                                                           */
/*  Filename    : DPSFrame.H                                                 */
/*  Version     : 1.20                                                       */
/*  Date        : 30-04-2000                                                 */
/*  Author      : SOFTING AG                                                 */
/*                                                                           */
/*  Description :                                                            */
/*                                                                           */
/*                                                                           */
/*****************************************************************************/

#ifndef __DPSFRAME__
#define __DPSFRAME__

/****************************************************************************/
/*** STRING OUTPUT AND LOGGING **********************************************/
/****************************************************************************/

  #define OUTPUT_STRING         output_string

  #define MAX_ERROR_DESCR_LEN   255

/****************************************************************************/
/*** GLOBAL FUNCTION PROTOTYPES *********************************************/
/****************************************************************************/

/****************************************************************************/
/*** AUXILIARY MACROS *******************************************************/
/****************************************************************************/

/****************************************************************************/
/*** DEFINES ****************************************************************/
/****************************************************************************/

/****************************************************************************/
/*** TYPEDEFS ***************************************************************/
/****************************************************************************/

/****************************************************************************/
/*** FUNCTION ***************************************************************/
/****************************************************************************/


FUNCTION extern VOID output_string
  (
    IN const char FAR* Output
  )
  /*------------------------------------------------------------------------*/
  /* FUNCTIONAL_DESCRIPTION                                                 */
  /*------------------------------------------------------------------------*/
  /* Print the String formated on Screen and into a LogFile, if a Handle    */
  /* for a File is available.                                               */
  /*------------------------------------------------------------------------*/
;

#endif /* __DPSFRAME__ */

/*** END OF DPSFrame.c ******************************************************/
